package cz.cvut.fel.pjv;

public class RedPlayer extends Player {
    
    private final RandomPlayer adviser = new RandomPlayer();
    private final String preference = "red";
    
    public RedPlayer() {
        super("Red");
    }
    
    @Override
    public Bet doStep(WorldInterface world) {
        for (String field : world.getFields()) {
            if (0 == field.compareToIgnoreCase(preference)) {
                return new Bet(field, 1);
            }            
        }
        return adviser.doStep(world); //always bet 1 gold 
    }
}
