package cz.cvut.fel.pjv;

import java.util.Random;

public class RandomPlayer extends Player {

    Random rand;

    public RandomPlayer() {
        super("Random");
        rand = new Random();
    }

    @Override
    public Bet doStep(WorldInterface world) {
        Integer bet = rand.nextInt(world.getFields().length);
        return new Bet(bet.toString(), 1); //always bet 1 gold

    }
}
